import { _ as e, g as t, h as n, m as r, n as i, r as a, s as o, t as s, v as c } from "./chunk-K5T4RW27-T6hJxJM0.js";
//#region ../../node_modules/.pnpm/@mermaid-js+parser@1.1.0/node_modules/@mermaid-js/parser/dist/chunks/mermaid-parser.core/chunk-7N4EOEYR.mjs
var l = class extends s {
	static {
		r(this, "ArchitectureTokenBuilder");
	}
	constructor() {
		super(["architecture"]);
	}
}, u = class extends i {
	static {
		r(this, "ArchitectureValueConverter");
	}
	runCustomConverter(e, t, n) {
		if (e.name === "ARCH_ICON") return t.replace(/[()]/g, "").trim();
		if (e.name === "ARCH_TEXT_ICON") return t.replace(/["()]/g, "");
		if (e.name === "ARCH_TITLE") {
			let e = t.replace(/^\[|]$/g, "").trim();
			return (e.startsWith("\"") && e.endsWith("\"") || e.startsWith("'") && e.endsWith("'")) && (e = e.slice(1, -1), e = e.replace(/\\"/g, "\"").replace(/\\'/g, "'")), e.trim();
		}
	}
}, d = { parser: {
	TokenBuilder: /* @__PURE__ */ r(() => new l(), "TokenBuilder"),
	ValueConverter: /* @__PURE__ */ r(() => new u(), "ValueConverter")
} };
function f(r = n) {
	let i = t(c(r), o), s = t(e({ shared: i }), a, d);
	return i.ServiceRegistry.register(s), {
		shared: i,
		Architecture: s
	};
}
r(f, "createArchitectureServices");
//#endregion
export { f as n, d as t };
